Bug 258547 - graphics/wayland: update to 1.20
Summary: graphics/wayland: update to 1.20
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL: https://gitlab.freedesktop.org/waylan...
Keywords: patch
Depends on:
Blocks:
 
Reported: 2021-09-16 21:31 UTC by Jan Beich
Modified: 2021-12-10 05:39 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (x11)
jbeich: merge-quarterly?
antoine: exp-run+


Attachments
v0 (1.19.0-73-g616b4ae6) (31.75 KB, patch)
2021-09-16 21:31 UTC, Jan Beich
no flags Details | Diff
v0.1 (1.19.0-75-gd564823c) (38.22 KB, patch)
2021-10-18 17:29 UTC, Jan Beich
no flags Details | Diff
v0.2 (1.19.91) (37.37 KB, patch)
2021-11-05 01:49 UTC, Jan Beich
no flags Details | Diff
v0.3 (1.19.93) (37.25 KB, patch)
2021-12-04 07:42 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2021-09-16 21:31:16 UTC
Created attachment 227952 [details]
v0 (1.19.0-73-g616b4ae6)

"rm -rf files/" after arichardson@ upstreamed FreeBSD support. I'm dogfooding on Sway 1.7 from https://github.com/freebsd/freebsd-ports/compare/main...jbeich:wlroots-0.15

$ make test
===>  Testing for wayland-1.19.0.73
[  0% 1/1] /usr/local/bin/meson test --no-rebuild --print-errorlogs
 1/23 wayland-egl symbols check             OK              0.03s
 2/23 cpp-compile-test                      OK              0.03s
 3/23 array-test                            OK              0.03s
 4/23 client-test                           OK              0.03s
 5/23 compositor-introspection-test         OK              0.03s
 6/23 connection-test                       OK              0.04s
 7/23 fixed-test                            OK              0.02s
 8/23 headers-test                          OK              0.02s
 9/23 interface-test                        OK              0.02s
10/23 list-test                             OK              0.02s
11/23 map-test                              OK              0.02s
12/23 scanner-test                          OK              0.08s
13/23 message-test                          OK              0.03s
14/23 newsignal-test                        OK              0.02s
15/23 protocol-logger-test                  OK              0.02s
16/23 os-wrappers-test                      OK              0.03s
17/23 queue-test                            OK              0.02s
18/23 resources-test                        OK              0.02s
19/23 signal-test                           OK              0.01s
20/23 socket-test                           OK              0.01s
21/23 event-loop-test                       OK              0.15s
22/23 display-test                          OK              0.52s
23/23 sanity-test                           OK              4.44s


Ok:                 23
Expected Fail:      0
Fail:               0
Unexpected Pass:    0
Skipped:            0
Timeout:            0
Comment 1 Jan Beich freebsd_committer 2021-09-16 21:33:41 UTC
https://gitlab.freedesktop.org/wayland/wayland/-/merge_requests/162 needs more testing. See devel/sdl20/files/patch-wayland-1.20 for an example rationale.
Comment 2 Antoine Brodin freebsd_committer 2021-09-22 17:43:11 UTC
Exp-run looks fine
Comment 3 Jan Beich freebsd_committer 2021-09-22 19:14:00 UTC
Marking for MFH to 2021Q4 as 1.20 release will probably happen in October or later. Working "make test" (compared to 1.19) helps verifying runtime without dogfooding (e.g., without DRM drivers).
Comment 4 Emmanuel Vadot freebsd_committer 2021-09-23 10:10:58 UTC
Looks good for now, unless no big changes happened between now and 1.20 no new exp-run will be needed.
Just update the patch when 1.20 is released.
Thanks.
Comment 5 Jan Beich freebsd_committer 2021-10-18 17:29:55 UTC
Created attachment 228809 [details]
v0.1 (1.19.0-75-gd564823c)

- New snapshot, see https://gitlab.freedesktop.org/wayland/wayland/-/compare/616b4ae6...d564823c
- Force rebuild devel/sdl20 for reproducibility and to catch regressions early
- Adjust lazy bindings in www/firefox, similar to devel/sdl20
Comment 6 Jan Beich freebsd_committer 2021-11-05 01:49:29 UTC
Created attachment 229280 [details]
v0.2 (1.19.91)

- Now alpha version, see https://lists.freedesktop.org/archives/wayland-devel/2021-November/042026.html
- Drop inconsistent PORTREVISION bumps as ABI is compatible while downgrading libwayland without rebuilding consumers isn't supported, anyway
Comment 7 Jan Beich freebsd_committer 2021-12-04 07:42:56 UTC
Created attachment 229873 [details]
v0.3 (1.19.93)

- Now RC1 (final ETA: 2021-12-09), see https://lists.freedesktop.org/archives/wayland-devel/2021-December/042053.html
- Drop USE_GITHUB workaround from pre-Alpha snapshots
Comment 8 commit-hook freebsd_committer 2021-12-10 02:16:01 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=571ee96df4f6e8d0028f2b678c903b1cb3b2300f

commit 571ee96df4f6e8d0028f2b678c903b1cb3b2300f
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2021-10-09 13:09:04 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2021-12-10 02:14:54 +0000

    graphics/wayland: update to 1.20.0

    Changes:        https://lists.freedesktop.org/archives/wayland-devel/2021-December/042064.html
    PR:             258547
    Exp-run by:     antoine
    Approved by:    manu

 devel/sdl20/files/patch-wayland-1.20 (new)         |  29 ++++
 graphics/wayland/Makefile                          |   8 +-
 graphics/wayland/distinfo                          |   8 +-
 .../files/patch-cursor_os-compatibility.c (gone)   |  23 ----
 graphics/wayland/files/patch-meson.build (gone)    |  33 -----
 .../wayland/files/patch-src_meson.build (gone)     |  36 -----
 .../wayland/files/patch-src_wayland-os.c (gone)    |  97 --------------
 .../wayland/files/patch-src_wayland-os.h (gone)    |  12 --
 .../files/patch-src_wayland-server.c (gone)        | 109 ---------------
 .../wayland/files/patch-src_wayland-shm.c (gone)   | 147 ---------------------
 .../wayland/files/patch-tests_client-test.c (gone) |  19 ---
 .../files/patch-tests_connection-test.c (gone)     |  29 ----
 .../files/patch-tests_event-loop-test.c (gone)     |  44 ------
 .../files/patch-tests_os-wrappers-test.c (gone)    | 122 -----------------
 .../wayland/files/patch-tests_queue-test.c (gone)  |  21 ---
 .../files/patch-tests_test-helpers.c (gone)        |  48 -------
 .../wayland/files/patch-tests_test-runner.c (gone) | 128 ------------------
 graphics/wayland/pkg-plist                         |   8 +-
 mail/thunderbird/files/patch-wayland-1.20 (new)    |  25 ++++
 www/firefox-esr/files/patch-wayland-1.20 (new)     |  25 ++++
 www/firefox/files/patch-wayland-1.20 (new)         |  25 ++++
 21 files changed, 112 insertions(+), 884 deletions(-)